<?php

//error_reporting(E_ALL);
//ini_set('display_errors', 'on');

require_once( "database_common.php" );

function get_all_teams() 
{
	$sql = "SELECT * FROM Teams";
	return do_football_query( $sql );
}

function get_team_by_id( $id ) 
{
	$sql = "SELECT * FROM Teams WHERE id=$id";
	$result = do_football_query( $sql );
	if( count($result) != 1 )
		return null;
	return $result[0];
}

function get_team_id_by_name( $name )
{
	$sql = 'SELECT id FROM Teams WHERE school="' . $name . '"';
	$result = do_football_query( $sql );
	if( count($result) < 1 )
		return null;
	return $result[0]['id'];
}

function get_team_name_by_id( $id )
{
	$sql = "SELECT school FROM Teams WHERE id=$id";
	$result = do_football_query( $sql );
	if( count($result) != 1 )
		return null;
	return $result[0]['school'];
}

function get_team_full_name_by_id( $id ) 
{
	$sql = "SELECT school,mascot FROM Teams WHERE id=$id";
	$result = do_football_query( $sql );
	if( count($result) != 1 )
		return null;
	$name = $result[0]['school'] . " " . $result[0]['mascot'];
	return $name;
}

function get_team_record( $name ) 
{
	$sql = 'SELECT TotalWins,TotalLosses,TotalTies FROM Records WHERE team="' . $name . '"';
	$result = do_football_query( $sql );
	if( count($result) != 1 )
		return null;
	return $result[0];
}

function get_team_icon_url_by_id( $id )
{
	$sql = "SELECT logo FROM Teams WHERE id=$id";
	$result = do_football_query( $sql );
	if( count($result) != 1 )
		return null;
	return $result[0]['logo'];
}

?>
